import random

random.seed('alienmicrowave')

def rand(a,b):
  return random.randint(a,b)

def print_case(ts):
  res = '%d\n' % len(ts)
  res += ''.join([str(t) + '\n' for t in ts])
  return res
  
def random_case(args):
  n, mint, maxt = int(args['n']), int(args['mint']), int(args['maxt'])
  ts = [rand(mint, maxt) for _ in range(n)]
  return print_case(ts)
